org.modeshape.jcr

## Enum NodeTypes.PropertyCardinality

- java.lang.Object
- - java.lang.Enum<NodeTypes.PropertyCardinality>
  - - org.modeshape.jcr.NodeTypes.PropertyCardinality

- All Implemented Interfaces:
    Serializable, Comparable<NodeTypes.PropertyCardinality>
  Enclosing class:
    NodeTypes

      public static enum NodeTypes.PropertyCardinality
      extends Enum<NodeTypes.PropertyCardinality>

  List of ways to filter the returned property definitions
  See Also:
    `NodeTypes.findPropertyDefinitions(List, Name, PropertyCardinality, List)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `MULTI_VALUED_ONLY`
    `SINGLE_VALUED_ONLY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NodeTypes.PropertyCardinality` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NodeTypes.PropertyCardinality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_VALUED_ONLY

          public static final NodeTypes.PropertyCardinality SINGLE_VALUED_ONLY

    - #### MULTI_VALUED_ONLY

          public static final NodeTypes.PropertyCardinality MULTI_VALUED_ONLY

    - #### ANY

          public static final NodeTypes.PropertyCardinality ANY

  - ### Method Detail

    - #### values

          public static NodeTypes.PropertyCardinality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NodeTypes.PropertyCardinality c : NodeTypes.PropertyCardinality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NodeTypes.PropertyCardinality valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.